summaryrefslogtreecommitdiffstats
path: root/abs/core/kernel26/kernel26.install
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/kernel26/kernel26.install')
-rw-r--r--abs/core/kernel26/kernel26.install27
1 files changed, 15 insertions, 12 deletions
diff --git a/abs/core/kernel26/kernel26.install b/abs/core/kernel26/kernel26.install
index f0bd904..2055db9 100644
--- a/abs/core/kernel26/kernel26.install
+++ b/abs/core/kernel26/kernel26.install
@@ -1,7 +1,8 @@
# arg 1: the new package version
# arg 2: the old package version
-KERNEL_VERSION=2.6.28-LinHES
+KERNEL_NAME=
+KERNEL_VERSION=2.6.34-LinHES
post_install () {
# updating module dependencies
@@ -16,18 +17,20 @@ post_install () {
echo ">>> http://wiki.archlinux.org/index.php/Mkinitcpio"
echo ""
echo ">>> Generating initial ramdisk, using mkinitcpio. Please wait..."
- /sbin/mkinitcpio -p kernel26
+ /sbin/mkinitcpio -p kernel26${KERNEL_NAME}
}
post_upgrade() {
pacman -Q grub &>/dev/null
hasgrub=$?
+ pacman -Q grub2 &>/dev/null
+ hasgrub2=$?
pacman -Q lilo &>/dev/null
haslilo=$?
# reminder notices
if [ $haslilo -eq 0 ]; then
echo ">>>"
- if [ $hasgrub -eq 0 ]; then
+ if [ $hasgrub -eq 0 -o $hasgrub2 -eq 0 ]; then
echo ">>> If you use the LILO bootloader, you should run 'lilo' before rebooting."
else
echo ">>> You appear to be using the LILO bootloader. You should run"
@@ -36,7 +39,7 @@ post_upgrade() {
echo ">>>"
fi
- if grep "/boot" /etc/fstab 2>&1 >/dev/null; then
+ if grep "^[^#]*/boot" /etc/fstab 2>&1 >/dev/null; then
if ! grep "/boot" /etc/mtab 2>&1 >/dev/null; then
echo "WARNING: /boot appears to be a seperate partition but is not mounted"
echo " This is most likely not what you want. Please mount your /boot"
@@ -88,8 +91,8 @@ post_upgrade() {
echo ">>> Please change your bootloader config files:"
echo ">>> Grub: /boot/grub/menu.lst | Lilo: /etc/lilo.conf"
echo "------------------------------------------------"
- echo "| - initrd26.img to kernel26.img |"
- echo "| - initrd26-full.img to kernel26-fallback.img |"
+ echo "| - initrd26.img to kernel26${KERNEL_NAME}.img |"
+ echo "| - initrd26-full.img to kernel26${KERNEL_NAME}-fallback.img |"
echo "------------------------------------------------"
fi
if [ "`vercmp $2 2.6.19`" -lt 0 ]; then
@@ -121,11 +124,11 @@ post_upgrade() {
echo ""
echo ">>> Generating initial ramdisk, using mkinitcpio. Please wait..."
if [ "`vercmp $2 2.6.19`" -lt 0 ]; then
- /sbin/mkinitcpio -p kernel26 -m "ATTENTION:\nIf you get a kernel panic below
+ /sbin/mkinitcpio -p kernel26${KERNEL_NAME} -m "ATTENTION:\nIf you get a kernel panic below
and are using an Intel chipset, append 'earlymodules=piix' to the
kernel commandline"
else
- /sbin/mkinitcpio -p kernel26
+ /sbin/mkinitcpio -p kernel26${KERNEL_NAME}
fi
if [ "`vercmp $2 2.6.21`" -lt 0 ]; then
echo ""
@@ -138,7 +141,7 @@ if [ "`vercmp $2 2.6.21`" -lt 0 ]; then
fi
}
-op=$1
-shift
-
-$op $*
+post_remove() {
+ rm -f /boot/kernel26${KERNEL_NAME}.img
+ rm -f /boot/kernel26${KERNEL_NAME}-fallback.img
+} \ No newline at end of file